* {
    box-sizing: border-box;
}

body {
    margin: 0;
    font-family: Arial, sans-serif;
    background: #10131a;
    color: white;
}

.container {
    width: min(900px, 92%);
    margin: 50px auto;
}

header {
    margin-bottom: 30px;
}

header h1 {
    font-size: 38px;
    margin-bottom: 5px;
}

header p {
    color: #999;
}

.card {
    background: #191d26;
    border-radius: 20px;
    padding: 25px;
    margin-bottom: 20px;
    box-shadow: 0 10px 30px rgba(0,0,0,.25);
}

.device-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.device-header h2 {
    margin-bottom: 5px;
}

#status {
    color: #aaa;
}

.light-icon {
    font-size: 55px;
}

.buttons {
    display: flex;
    gap: 15px;
    margin-top: 25px;
}

button {
    flex: 1;
    padding: 16px;
    border: 0;
    border-radius: 12px;
    font-size: 17px;
    cursor: pointer;
}

button:hover {
    opacity: .85;
}

#esp32,
#mqtt {
    font-weight: bold;
}
